# Uses of Class
org.springframework.jmx.export.metadata.ManagedNotification

Packages that use ManagedNotification
Package
Description
org.springframework.jmx.export.annotation
Annotations for MBean exposure.
org.springframework.jmx.export.assembler
Provides a strategy for MBeanInfo assembly.
org.springframework.jmx.export.metadata
Provides generic JMX metadata classes and basic support for reading JMX metadata in a provider-agnostic manner.

## Uses of ManagedNotification in org.springframework.jmx.export.annotation

Methods in org.springframework.jmx.export.annotation that return ManagedNotification
Modifier and Type
Method
Description
`ManagedNotification[]`
AnnotationJmxAttributeSource.`getManagedNotifications(Class<?> clazz)`

## Uses of ManagedNotification in org.springframework.jmx.export.assembler

Methods in org.springframework.jmx.export.assembler with parameters of type ManagedNotification
Modifier and Type
Method
Description
`void`
AbstractConfigurableMBeanInfoAssembler.`setNotificationInfos(ManagedNotification[] notificationInfos)`

## Uses of ManagedNotification in org.springframework.jmx.export.metadata

Methods in org.springframework.jmx.export.metadata that return ManagedNotification
Modifier and Type
Method
Description
`ManagedNotification[]`
JmxAttributeSource.`getManagedNotifications(Class<?> clazz)`
Implementations should return an array of `ManagedNotifications` if the supplied `Class` has the corresponding metadata.
Methods in org.springframework.jmx.export.metadata with parameters of type ManagedNotification
Modifier and Type
Method
Description
`static ModelMBeanNotificationInfo`
JmxMetadataUtils.`convertToModelMBeanNotificationInfo(ManagedNotification notificationInfo)`
Convert the supplied `ManagedNotification` into the corresponding `ModelMBeanNotificationInfo`.